<template>
  <v-row dense align="center">
    <v-col>
      <more-badges :badges="vacancy.skils" />
      <div class="vacancy-name">
        {{ vacancy.name }}
      </div>
      <div class="vacancy-date">27.11.2020</div>
    </v-col>
    <v-col cols="auto pr-4 text-center">
      <v-icon>mdi-account</v-icon>
      <p class="grey--text">{{ getRandomInt() }}</p>
    </v-col>
  </v-row>
</template>
<script lang="ts">
import { Component, Vue, Prop } from "vue-property-decorator";
import MoreBadges from "@/components/ui/MoreBadges.vue";
import { Vacancy } from "@/models/vacancy";

@Component({
  components: {
    MoreBadges,
  },
})
export default class VacancyItem extends Vue {
  @Prop({ required: true }) readonly vacancy!: Vacancy;

  getRandomInt() {
    return Math.floor(Math.random() * Math.floor(5));
  }
}
</script>

<style lang="scss">
.vacancy-name {
  font-weight: 600;
  font-size: 22px;
  line-height: 24px;
  /* or 109% */
  margin: 10px 0px;
  color: #262c40;
  cursor: pointer;
}
.vacancy-date {
  font-style: normal;
  font-weight: normal;
  font-size: 15px;
  line-height: 24px;
  color: #b6bdce;
}
</style>
